---
schema_version: "1"
id: 82ad95a19ed7610d4878cab866bd7100b891829484b93cb246d30a8570549976
title: Instances List
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/api_analytics/guides/reference/reports/sforce-analytics-rest-api-instances-resource.md
canonical_url: https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instances-resource.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 26dd5acb2f6a47a66d55e425f0fd65bf1570fa4d6bc4c9e8e10ec5bd2c506a75
products:
  - Salesforce Reports and Dashboards REST API Developer Guide
  - analytics
---

# Instances List

Returns a list of instances for a report that you requested to be run asynchronously. Each item in the list is treated as a separate instance of the report run with metadata in that snapshot of time.

## Resource URL

```nolang
/services/data/<latest API version>/analytics/reports/<report ID>/instances
```

## Formats

JSON

## HTTP Methods

|Method|Description|
|------|-----------|
|GET|Return a list of asynchronous runs of a report. See this [example](https://developer.salesforce.com/docs/analytics/examples/reports/sforce-analytics-rest-api-list-asyncreportruns.md).|

## Response Body

|Property|Type|Description|
|--------|----|-----------|
|`id`|String|Unique ID for a report instance that was requested for a run. The ID is used to obtain results of the report run for that instance.|
|`status`|String|New if the report run has just been triggered through a POST request, Success if the report ran, Running if the report is being run, or Error if the report run failed. The instance of a report run can return an error if, for example, your permission to access the report has been removed since you requested the run.|
|`url`|String|URL where results of the report run for that instance are stored. The value is null if the report couldn’t be run because of an error.|
|`ownerId`|String|API name of the user that created the instance.|
|`hasDetailRows`|Boolean|When `false`, indicates that summary level data was requested for the report run. When `true`, indicates that detailed data, which includes summary level data, was requested for the report run.|
|`completionDate`|Date, time string|Date, time when the instance of the report run finished. Only available if the report instance ran successfully or couldn’t be run because of an error. Date-time information is in ISO-8601 format.|
|`requestDate`|Date, time string|Date and time when an instance of the report run was requested. Date-time information is in ISO-8601 format.|

**See Also**  


-   [Execute Async](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instances-summaryasync.md)
-   [Instance Results](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instance-resource-results.md)

